Package com.emc.documentum.rest.model

# Class Permissions

java.lang.Object
com.emc.documentum.rest.model.Permissions

public class Permissions extends Object
Permission definition

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Permissions`
  `ALL_PERMISSION`
  All Permission constant
  `static final int`
  `BROWSE`
  Browse permission
  `static final int`
  `DELETE`
  Delete permission
  `static final Permissions`
  `NO_PERMISSION`
  No Permission constant
  `static final int`
  `READ`
  Read permission
  `static final int`
  `RELATE`
  Relate permission
  `static final int`
  `VERSION`
  Version permission
  `static final int`
  `WRITE`
  Write permission

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Permissions(int basic, boolean extendedPermissions)`
  Constructor
  `Permissions(int basic, String extended)`
  Constructor
  `Permissions(int basic, String extended, String application)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `allowBrowse()`
  Check if allow browse or not
  `boolean`
  `allowChangeFolderLinks()`
  Check if allow extended change folder links or not
  `boolean`
  `allowChangeLocation()`
  Check if allow extended change location
  `boolean`
  `allowChangeOwner()`
  Check if allow extended change ownership
  `boolean`
  `allowChangePermit()`
  Check if allow extended change permission
  `boolean`
  `allowChangeState()`
  Check if allow extended change state
  `boolean`
  `allowDelete()`
  Check if allow delete or not
  `boolean`
  `allowExecuteProcedure()`
  Check if allow extended execute procedure
  `boolean`
  `allowRead()`
  Check if allow read or not
  `boolean`
  `allowRelate()`
  Check if allow relate or not
  `boolean`
  `allowVersion()`
  Check if allow version or not
  `boolean`
  `allowWrite()`
  Check if allow write or not
  `boolean`
  `allowXDeleteObject()`
  Check if allow extended delete or not
  `String`
  `getApplication()`
  Get the application permit
  `int`
  `getBasic()`
  Get basic permission
  `String`
  `getExtend()`
  Get extend permission
  `void`
  `setApplication(String application)`
  Set the application permit
  `void`
  `setExtend(String extended)`
  Set extend permission

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BROWSE

    public static final int BROWSE
    Browse permission
    See Also:
      - Constant Field Values

  - ### READ

    public static final int READ
    Read permission
    See Also:
      - Constant Field Values

  - ### RELATE

    public static final int RELATE
    Relate permission
    See Also:
      - Constant Field Values

  - ### VERSION

    public static final int VERSION
    Version permission
    See Also:
      - Constant Field Values

  - ### WRITE

    public static final int WRITE
    Write permission
    See Also:
      - Constant Field Values

  - ### DELETE

    public static final int DELETE
    Delete permission
    See Also:
      - Constant Field Values

  - ### NO_PERMISSION

    public static final Permissions NO_PERMISSION
    No Permission constant

  - ### ALL_PERMISSION

    public static final Permissions ALL_PERMISSION
    All Permission constant

- ## Constructor Details

  - ### Permissions

    public Permissions(int basic, String extended)
    Constructor
    Parameters:
      `basic` - basic permission
      `extended` - extended permission

  - ### Permissions

    public Permissions(int basic, String extended, String application)
    Constructor
    Parameters:
      `basic` - basic permission
      `extended` - extended permission
      `application` - application permission

  - ### Permissions

    public Permissions(int basic, boolean extendedPermissions)
    Constructor
    Parameters:
      `basic` - basic permission
      `extendedPermissions` - extended permission, false represents no extended permission and true represents all extended permission

- ## Method Details

  - ### getBasic

    public int getBasic()
    Get basic permission
    Returns:
      basic permission

  - ### getExtend

    public String getExtend()
    Get extend permission
    Returns:
      extend permission

  - ### setExtend

    public void setExtend(String extended)
    Set extend permission
    Parameters:
      `extended` - extended permission

  - ### allowBrowse

    public boolean allowBrowse()
    Check if allow browse or not
    Returns:
      `true` if allowing browse

  - ### allowRead

    public boolean allowRead()
    Check if allow read or not
    Returns:
      `true` if allowing read

  - ### allowRelate

    public boolean allowRelate()
    Check if allow relate or not
    Returns:
      `true` if allowing relate

  - ### allowVersion

    public boolean allowVersion()
    Check if allow version or not
    Returns:
      `true` if allowing version

  - ### allowWrite

    public boolean allowWrite()
    Check if allow write or not
    Returns:
      `true` if allowing write

  - ### allowDelete

    public boolean allowDelete()
    Check if allow delete or not
    Returns:
      `true` if allowing delete

  - ### allowChangeLocation

    public boolean allowChangeLocation()
    Check if allow extended change location
    Returns:
      `true` if allowing change location

  - ### allowExecuteProcedure

    public boolean allowExecuteProcedure()
    Check if allow extended execute procedure
    Returns:
      `true` if allowing execute procedure

  - ### allowChangeOwner

    public boolean allowChangeOwner()
    Check if allow extended change ownership
    Returns:
      `true` if allowing change ownership

  - ### allowChangePermit

    public boolean allowChangePermit()
    Check if allow extended change permission
    Returns:
      `true` if allowing change permission

  - ### allowChangeState

    public boolean allowChangeState()
    Check if allow extended change state
    Returns:
      `true` if allowing change state

  - ### allowXDeleteObject

    public boolean allowXDeleteObject()
    Check if allow extended delete or not
    Returns:
      `true` if allowing extended delete

  - ### allowChangeFolderLinks

    public boolean allowChangeFolderLinks()
    Check if allow extended change folder links or not
    Returns:
      `true` if allowing change folder links

  - ### getApplication

    public String getApplication()
    Get the application permit
    Returns:
      application permissions

  - ### setApplication

    public void setApplication(String application)
    Set the application permit
    Parameters:
      `application` - application permission